Core - Feature # 38752

Task # 38755 (Accepted): Usability issues collected on the UX sprint

Status: Resolved Priority: Should have
Author: Benjamin Mack Category:

Created: 2012-07-08 Assigned To: Benjamin Mack
Updated: 2014-12-15 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: TCEforms: Replace "field has changed" icon with CSS class

Description

When editing a record in TCEforms, each field that is modified gets an arrow symbol in front of the input/select field. There are certain
downsides to this:

- Having images and hard-coded srcs in each field clutters the HTML and has ugly JS to change the field, plus it's hard to style

- This does not work for FlexForms

The solution adds a generic TCEforms jQuery object that hooks into the existing fieldChanged function, and does the replacement
through CSS classes. The CSS classes now, according to current design standards, just adds a border around the modified image.

Associated revisions

Revision 30c362b9 - 2014-12-15 13:35 - Benjamin Mack

[TASK] FormEngine: "field has changed" icon via CSS

When editing a record in FormEngine, each field that is
modified gets an arrow symbol in front of the
input/select field.

There are certain downsides to this implementation:
- Having images and hard-coded srcs in each field
clutters the HTML and has ugly JS to change the field

- it's hard to style / exchange the icon

The new solution does the replacement via CSS classes.
The CSS class just adds a blue background to the
changed form field or does a color change

to the checkbox label currently.

Releases: master

Resolves: #38752

Change-Id: 194b6cc8550f7539961aa7ee97a8081e7d0ae5931
Reviewed-on: http://review.typo3.org/12708

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Georg Ringer <georg.ringer@gmail.com>

Tested-by: Georg Ringer <georg.ringer@gmail.com>
#1 - 2012-07-08 13:18 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12708

#2 - 2012-07-08 13:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12708

#3 - 2012-07-08 14:08 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12708

#4 - 2012-07-08 17:04 - Steffen Ritter
- Parent task set to #38755

#5 - 2012-07-08 17:05 - Steffen Ritter
- Assigned To set to Benjamin Mack

#6 - 2014-02-25 11:29 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/12708

#7 - 2014-02-25 14:25 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/12708

#8 - 2014-10-02 22:59 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/12708

#9 - 2014-10-06 15:50 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/12708

#10 - 2014-10-06 16:01 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/12708
#11 - 2014-10-07 13:20 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/12708

#12 - 2014-10-21 07:37 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/12708

#13 - 2014-11-09 14:40 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/12708

#14 - 2014-11-26 15:15 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/12708

#15 - 2014-12-15 13:01 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/12708

#16 - 2014-12-15 14:00 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:30c362b918299de582932f09ee1a87f10b48b76d.
